[Testing Update i686] 2019-08-27 to 09-18 - A **lot** of updates

This is a very large set of updates with around 6300 updated or rebuilt packages.

It is very likely there will be broken packages. Please report them as you find them.

I had no issues running pacman -Syu in a terminal but this update should probably be run in a TTY to be on the safe side.


Available kernels

Series Version PAE
linux316 3.16.73 No
linux44 4.4.193 No
linux49 4.9.193 No
linux414 4.14.144 No
linux419 4.19.73 Yes

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the "is it ready yet?" poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters


Note: to change a vote, click on "Hide results" then select the new option.

1 Like

Known issues


PulseAudio is broken

Make sure you have 12.99.2+16+ga7caa9d39-0. You may need to reboot (or at least restart your session).


Incompatible libdevmapper 1.02.164 (2019-08-27) and kernel driver (unknown version).

This happens every so often when there's a kernel ABI change. As far as I know it's harmless and can be ignored.

Known to-do

Rebuild:

  • viewnior
  • transmission-gtk

viewnior will not start.

Summary for viewnior

[keith@Laptop1 ~]$ viewnior
viewnior: error while loading shared libraries: libexiv2.so.26: cannot open shared object file: No such file or directory

Also transmission-gtk is failing to start.

Summary for transmission-gtk

[keith@Laptop1 ~]$ transmission-gtk
transmission-gtk: error while loading shared libraries: libevent-2.1.so.6: cannot open shared object file: No such file or directory

No sound output from Parole Media Player!

inxi -Fxxxxz
[keith@Laptop1 ~]$ inxi -Fxxxxz
System:    Host: Laptop1 Kernel: 4.19.68-1-MANJARO i686 bits: 32 compiler: gcc v: 9.1.0 Desktop: Xfce 4.14.1 
           tk: Gtk 3.24.8 info: xfce4-panel wm: xfwm4 dm: LightDM 1.30.0 Distro: Manjaro Linux 
Machine:   Type: Laptop System: Acer product: Aspire 5610 v: V3.60 serial: <filter> Chassis: type: 10 serial: <filter> 
           Mobo: Acer model: Grapevine serial: <filter> BIOS: Acer v: 3.60 date: 08/12/2008 
Battery:   ID-1: BAT1 charge: 491.1 Wh condition: 491.1/44.4 Wh (1106%) volts: 12.3/11.1 model: SONY GC86503SY90 
           type: Li-ion serial: N/A status: Full 
CPU:       Topology: Dual Core model: Intel T2050 bits: 32 type: MCP arch: M Yonah rev: 8 L2 cache: 2048 KiB 
           flags: nx pae sse sse2 sse3 bogomips: 6386 
           Speed: 798 MHz min/max: 800/1600 MHz Core speeds (MHz): 1: 798 2: 798 
Graphics:  Device-1: Intel Mobile 945GM/GMS 943/940GML Express Integrated Graphics vendor: Acer Incorporated ALI 
           driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:27a2 
           Display: x11 server: X.org 1.20.5 driver: intel unloaded: modesetting alternate: fbdev,vesa 
           resolution: <xdpyinfo missing> 
           OpenGL: renderer: Mesa DRI Intel 945GM x86/MMX/SSE2 v: 1.4 Mesa 19.1.2 direct render: Yes 
Audio:     Device-1: Intel NM10/ICH7 Family High Definition Audio vendor: Acer Incorporated ALI driver: snd_hda_intel 
           v: kernel bus ID: 00:1b.0 chip ID: 8086:27d8 
           Sound Server: ALSA v: k4.19.68-1-MANJARO 
Network:   Device-1: Intel PRO/Wireless 3945ABG [Golan] Network driver: iwl3945 v: in-tree:ds port: 5420 bus ID: 05:00.0 
           chip ID: 8086:4222 
           IF: wlp5s0 state: up mac: <filter> 
           Device-2: Broadcom and subsidiaries BCM4401-B0 100Base-TX vendor: Acer Incorporated ALI driver: b44 v: 2.0 
           port: 5420 bus ID: 06:01.0 chip ID: 14e4:170c 
           IF-ID-1: eth0 state: up speed: 100 Mbps duplex: full mac: <filter> 
Drives:    Local Storage: total: 74.53 GiB used: 45.51 GiB (61.1%) 
           ID-1: /dev/sda vendor: Hitachi model: HTS541680J9SA00 size: 74.53 GiB speed: <unknown> serial: <filter> 
           rev: C70P scheme: GPT 
Partition: ID-1: / size: 9.62 GiB used: 8.65 GiB (89.9%) fs: ext4 dev: /dev/sda2 
           ID-2: /home size: 51.80 GiB used: 36.69 GiB (70.8%) fs: ext4 dev: /dev/sda4 
           ID-3: swap-1 size: 1.97 GiB used: 176.0 MiB (8.7%) fs: swap dev: /dev/sda5 
Sensors:   System Temperatures: cpu: 38.0 C mobo: N/A 
           Fan Speeds (RPM): N/A 
Info:      Processes: 140 Uptime: 25m Memory: 925.0 MiB used: 441.2 MiB (47.7%) Init: systemd v: 242 Compilers: gcc: 9.1.0 
           Shell: bash v: 5.0.9 running in: xfce4-terminal inxi: 3.0.36 
[keith@Laptop1 ~]$ 
1 Like
:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            libpulse                    -12.99.2+16+ga7caa9d39-0
                          pulseaudio                    -12.99.2+16+ga7caa9d39-0
                pulseaudio-bluetooth                    -12.99.2+16+ga7caa9d39-0
                pulseaudio-equalizer                    -12.99.2+16+ga7caa9d39-0
                     pulseaudio-jack                    -12.99.2+16+ga7caa9d39-0
                     pulseaudio-lirc                    -12.99.2+16+ga7caa9d39-0
                 pulseaudio-zeroconf                    -12.99.2+16+ga7caa9d39-0
                    transmission-cli                    -               2.94-2
                    transmission-gtk                    -               2.94-2
                     transmission-qt                    -               2.94-2
                              upower                    -          0.99.10-1.2


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            viewnior                    -              1.7-2.1

Viewnior and transmission-gtk now working.

Still no sound.

That should be fixed with the PulseAudio rebuild. It's working for me in a VM.

Rebooted again and now it is working.

Thank you.

I updated with pacman (628+MB.) Everything I use runs (Cinnamon, palemoon, flash...) HTML5 video seems to run a little smoother with kernel 4.19.68 than with my custom 5.1(EOL). I might have to update to a custom 5.3...

1 Like

I'm now having a problem with pacman. When I try to install my new kernel (5.3) I get "does not have a valid architecture" when I try to execute sudo pacman -U linux53* Then I tried to install known valid kernels and got the same error. Then I tried to downgrade pacman and got the same error. Finally, I edited pacman.conf to change Architecture = auto to i686. After downgrading, I was able to change pacman.conf back to auto.

Must be something upstream, since Manjaro hasn't done anything to the gitlab version in over a month. If it's a real problem, others will encounter it!

1 Like

Thunderbird, Chromium, and kernels:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          filesystem             2018.9-1             2018.9-3
                                grub               2.04-1               2.04-4
                            linux414           4.14.140-1           4.14.141-1
                    linux414-headers           4.14.140-1           4.14.141-1
                            linux419            4.19.68-1            4.19.69-1
                    linux419-headers            4.19.68-1            4.19.69-1
                                mhwd              0.6.3-6             0.6.3-12


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            chromium      76.0.3809.100-0    76.0.3809.132-0.1
                  linux414-acpi_call            1.1.0-140            1.1.0-141
                   linux414-bbswitch              0.8-140              0.8-141
                linux414-broadcom-wl     6.30.223.271-140     6.30.223.271-141
                linux414-ndiswrapper             1.62-140             1.62-141
               linux414-nvidia-340xx          340.107-140          340.107-141
                      linux414-r8168         8.047.02-140         8.047.02-141
                  linux414-rt3562sta       2.4.1.1_r4-140       2.4.1.1_r4-141
                linux414-vhba-module         20190410-140         20190410-141
   linux414-virtualbox-guest-modules            6.0.8-140            6.0.8-141
    linux414-virtualbox-host-modules            6.0.8-140            6.0.8-141
                        linux414-zfs            0.8.1-140            0.8.1-141
                  linux419-acpi_call             1.1.0-68             1.1.0-69
                   linux419-bbswitch               0.8-68               0.8-69
                linux419-broadcom-wl      6.30.223.271-68      6.30.223.271-69
                linux419-ndiswrapper              1.62-68              1.62-69
               linux419-nvidia-340xx           340.107-68           340.107-69
                   linux419-nvidiabl              0.88-68              0.88-69
                      linux419-r8168          8.047.02-68          8.047.02-69
                linux419-vhba-module          20190410-68          20190410-69
   linux419-virtualbox-guest-modules             6.0.8-68             6.0.8-69
    linux419-virtualbox-host-modules             6.0.8-68             6.0.8-69
                        linux419-zfs             0.8.1-68             0.8.1-69
                         thunderbird             60.8.0-0               68.0-0
                          python-pip                    -           19.2.3-1.0
                         python2-pip                    -           19.2.3-1.0
                 thunderbird-i18n-ar                    -               68.0-0
                thunderbird-i18n-ast                    -               68.0-0
                 thunderbird-i18n-be                    -               68.0-0
                 thunderbird-i18n-bg                    -               68.0-0
                 thunderbird-i18n-br                    -               68.0-0
                 thunderbird-i18n-ca                    -               68.0-0
                 thunderbird-i18n-cs                    -               68.0-0
                 thunderbird-i18n-cy                    -               68.0-0
                 thunderbird-i18n-da                    -               68.0-0
                 thunderbird-i18n-de                    -               68.0-0
                thunderbird-i18n-dsb                    -               68.0-0
                 thunderbird-i18n-el                    -               68.0-0
              thunderbird-i18n-en-gb                    -               68.0-0
              thunderbird-i18n-en-us                    -               68.0-0
              thunderbird-i18n-es-ar                    -               68.0-0
              thunderbird-i18n-es-es                    -               68.0-0
                 thunderbird-i18n-et                    -               68.0-0
                 thunderbird-i18n-eu                    -               68.0-0
                 thunderbird-i18n-fi                    -               68.0-0
                 thunderbird-i18n-fr                    -               68.0-0
              thunderbird-i18n-fy-nl                    -               68.0-0
              thunderbird-i18n-ga-ie                    -               68.0-0
                 thunderbird-i18n-gd                    -               68.0-0
                 thunderbird-i18n-gl                    -               68.0-0
                 thunderbird-i18n-he                    -               68.0-0
                 thunderbird-i18n-hr                    -               68.0-0
                thunderbird-i18n-hsb                    -               68.0-0
                 thunderbird-i18n-hu                    -               68.0-0
              thunderbird-i18n-hy-am                    -               68.0-0
                 thunderbird-i18n-id                    -               68.0-0
                 thunderbird-i18n-is                    -               68.0-0
                 thunderbird-i18n-it                    -               68.0-0
                 thunderbird-i18n-ja                    -               68.0-0
                 thunderbird-i18n-ko                    -               68.0-0
                 thunderbird-i18n-lt                    -               68.0-0
              thunderbird-i18n-nb-no                    -               68.0-0
                 thunderbird-i18n-nl                    -               68.0-0
              thunderbird-i18n-nn-no                    -               68.0-0
                 thunderbird-i18n-pl                    -               68.0-0
              thunderbird-i18n-pt-br                    -               68.0-0
              thunderbird-i18n-pt-pt                    -               68.0-0
                 thunderbird-i18n-rm                    -               68.0-0
                 thunderbird-i18n-ro                    -               68.0-0
                 thunderbird-i18n-ru                    -               68.0-0
                 thunderbird-i18n-si                    -               68.0-0
                 thunderbird-i18n-sk                    -               68.0-0
                 thunderbird-i18n-sl                    -               68.0-0
                 thunderbird-i18n-sq                    -               68.0-0
                 thunderbird-i18n-sr                    -               68.0-0
              thunderbird-i18n-sv-se                    -               68.0-0
                 thunderbird-i18n-tr                    -               68.0-0
                 thunderbird-i18n-uk                    -               68.0-0
                 thunderbird-i18n-vi                    -               68.0-0
              thunderbird-i18n-zh-cn                    -               68.0-0
              thunderbird-i18n-zh-tw                    -               68.0-0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
               debian-whois-mkpasswd              5.4.2-2              5.5.1-1
              manjaro-openbox-config            1.19.0-19            1.19.0-21
    manjaro-openbox-desktop-settings            1.19.0-19            1.19.0-21
             manjaro-openbox-scripts              2.0.1-1              2.0.2-1

All looks OK, xfce & kernel 4.19.

1 Like

There's another set of ~3000 rebuilds inbound. Check the main changed list for details.

Atril security update:

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               atril                    -           1.22.1-1.2

I ran the large update in a tty: No problems found yet - checked kernel 4.19, palemoon, firefox, nemo, flash. My mystery error with pacman (invalid architecture) is gone!

1 Like

Update of 224 packages -xfce kernel 4.19.

Noticed the following message during update:

[2019-09-02 07:14] [ALPM] running 'dbus-reload.hook'...
[2019-09-02 07:14] [ALPM-SCRIPTLET]   Invalid operation 'reload'

Rebooted and all appears OK so far.

Could you please update kmail as you did previously with all of needed dependecies? It doesn't work with partially new frameworks.

Here is the list of not updated packages, could you update them?

akonadi 19.04.3-2.1
akonadi-calendar 19.04.1-0
akonadi-contacts 19.04.1-0
akonadi-import-wizard 19.04.1-0 (kde-applications kdepim)
akonadi-mime 19.04.3-1.1
akonadi-search 19.04.3-1.1
baloo-widgets 19.04.3-1.0
calendarsupport 19.04.1-0
dolphin 19.04.3-1.0 (kde-applications kdebase)
dolphin-plugins 19.04.3-1.0 (kde-applications kdesdk)
gwenview 19.04.3-1.0 (kde-applications kdegraphics)
kaddressbook 19.04.1-0 (kde-applications kdepim)
kalarmcal 19.04.1-0
kamoso 19.04.3-1.0 (kde-applications kdemultimedia)
kdepim-apps-libs 19.04.1-0
kdepim-runtime 19.04.1-0
kmail 19.04.1-0 (kde-applications kdepim)
kmail-account-wizard 19.04.1-0 (kde-applications kdepim)
kmailtransport 19.04.3-1.0
libakonadi 19.04.3-2.1
libgravatar 19.04.1-0
libkdepim 19.04.1-0
libksieve 19.04.1-0
mailcommon 19.04.1-0
mailimporter 19.04.1-0
mbox-importer 19.04.1-0 (kde-applications kdepim)
messagelib 19.04.1-0
pim-data-exporter 19.04.1-0 (kde-applications kdepim)
pim-sieve-editor 19.04.1-0 (kde-applications kdepim)
pimcommon 19.04.1-0
telepathy-kde-call-ui 19.04.2-1.0 (kde-applications kdenetwork telepathy-kde)

Firefox 69.0:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             firefox             68.0.2-0             69.0-0.1
                    firefox-i18n-ach                    -               69.0-0
                     firefox-i18n-af                    -               69.0-0
                     firefox-i18n-an                    -               69.0-0
                     firefox-i18n-ar                    -               69.0-0
                    firefox-i18n-ast                    -               69.0-0
                     firefox-i18n-az                    -               69.0-0
                     firefox-i18n-be                    -               69.0-0
                     firefox-i18n-bg                    -               69.0-0
                     firefox-i18n-bn                    -               69.0-0
                     firefox-i18n-br                    -               69.0-0
                     firefox-i18n-bs                    -               69.0-0
                     firefox-i18n-ca                    -               69.0-0
                    firefox-i18n-cak                    -               69.0-0
                     firefox-i18n-cs                    -               69.0-0
                     firefox-i18n-cy                    -               69.0-0
                     firefox-i18n-da                    -               69.0-0
                     firefox-i18n-de                    -               69.0-0
                    firefox-i18n-dsb                    -               69.0-0
                     firefox-i18n-el                    -               69.0-0
                  firefox-i18n-en-ca                    -               69.0-0
                  firefox-i18n-en-gb                    -               69.0-0
                  firefox-i18n-en-us                    -               69.0-0
                     firefox-i18n-eo                    -               69.0-0
                  firefox-i18n-es-ar                    -               69.0-0
                  firefox-i18n-es-cl                    -               69.0-0
                  firefox-i18n-es-es                    -               69.0-0
                  firefox-i18n-es-mx                    -               69.0-0
                     firefox-i18n-et                    -               69.0-0
                     firefox-i18n-eu                    -               69.0-0
                     firefox-i18n-fa                    -               69.0-0
                     firefox-i18n-ff                    -               69.0-0
                     firefox-i18n-fi                    -               69.0-0
                     firefox-i18n-fr                    -               69.0-0
                  firefox-i18n-fy-nl                    -               69.0-0
                  firefox-i18n-ga-ie                    -               69.0-0
                     firefox-i18n-gd                    -               69.0-0
                     firefox-i18n-gl                    -               69.0-0
                     firefox-i18n-gn                    -               69.0-0
                  firefox-i18n-gu-in                    -               69.0-0
                     firefox-i18n-he                    -               69.0-0
                  firefox-i18n-hi-in                    -               69.0-0
                     firefox-i18n-hr                    -               69.0-0
                    firefox-i18n-hsb                    -               69.0-0
                     firefox-i18n-hu                    -               69.0-0
                  firefox-i18n-hy-am                    -               69.0-0
                     firefox-i18n-ia                    -               69.0-0
                     firefox-i18n-id                    -               69.0-0
                     firefox-i18n-is                    -               69.0-0
                     firefox-i18n-it                    -               69.0-0
                     firefox-i18n-ja                    -               69.0-0
                     firefox-i18n-ka                    -               69.0-0
                    firefox-i18n-kab                    -               69.0-0
                     firefox-i18n-kk                    -               69.0-0
                     firefox-i18n-km                    -               69.0-0
                     firefox-i18n-kn                    -               69.0-0
                     firefox-i18n-ko                    -               69.0-0
                    firefox-i18n-lij                    -               69.0-0
                     firefox-i18n-lt                    -               69.0-0
                     firefox-i18n-lv                    -               69.0-0
                     firefox-i18n-mk                    -               69.0-0
                     firefox-i18n-mr                    -               69.0-0
                     firefox-i18n-ms                    -               69.0-0
                     firefox-i18n-my                    -               69.0-0
                  firefox-i18n-nb-no                    -               69.0-0
                  firefox-i18n-ne-np                    -               69.0-0
                     firefox-i18n-nl                    -               69.0-0
                  firefox-i18n-nn-no                    -               69.0-0
                     firefox-i18n-oc                    -               69.0-0
                  firefox-i18n-pa-in                    -               69.0-0
                     firefox-i18n-pl                    -               69.0-0
                  firefox-i18n-pt-br                    -               69.0-0
                  firefox-i18n-pt-pt                    -               69.0-0
                     firefox-i18n-rm                    -               69.0-0
                     firefox-i18n-ro                    -               69.0-0
                     firefox-i18n-ru                    -               69.0-0
                     firefox-i18n-si                    -               69.0-0
                     firefox-i18n-sk                    -               69.0-0
                     firefox-i18n-sl                    -               69.0-0
                    firefox-i18n-son                    -               69.0-0
                     firefox-i18n-sq                    -               69.0-0
                     firefox-i18n-sr                    -               69.0-0
                  firefox-i18n-sv-se                    -               69.0-0
                     firefox-i18n-ta                    -               69.0-0
                     firefox-i18n-te                    -               69.0-0
                     firefox-i18n-th                    -               69.0-0
                     firefox-i18n-tr                    -               69.0-0
                     firefox-i18n-uk                    -               69.0-0
                     firefox-i18n-ur                    -               69.0-0
                     firefox-i18n-uz                    -               69.0-0
                     firefox-i18n-vi                    -               69.0-0
                     firefox-i18n-xh                    -               69.0-0
                  firefox-i18n-zh-cn                    -               69.0-0
                  firefox-i18n-zh-tw                    -               69.0-0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                agda         2.6.0.1-19.0         2.6.0.1-20.0
                                 bat           0.11.0-1.2           0.12.0-1.0
                             busybox           1.30.1-3.1           1.30.1-4.0
                       cabal-install        2.4.0.0-130.0        2.4.0.0-131.0
                       haskell-aeson         1.4.4.0-11.0         1.4.4.0-12.0
         haskell-aeson-better-errors        0.9.1.0-135.0        0.9.1.0-136.0
                haskell-aeson-compat           0.3.9-53.0           0.3.9-54.0
                haskell-aeson-pretty           0.8.7-86.0           0.8.7-87.0
                    haskell-aeson-qq          0.8.2-133.0          0.8.2-134.0
                  haskell-attoparsec        0.13.2.2-60.0         0.13.2.3-1.0
          haskell-attoparsec-iso8601         1.0.1.0-34.0         1.0.1.0-35.0
              haskell-binary-orphans        0.1.8.0-108.0        0.1.8.0-109.0
               haskell-binary-tagged             0.2-18.0             0.2-19.0
                  haskell-bower-json        1.0.0.1-133.0        1.0.0.1-134.0
                       haskell-■■■■■          0.47.1-11.0          0.47.1-12.0
            haskell-bsb-http-chunked         0.0.0.4-42.0         0.0.0.4-43.0
                     haskell-cassava         0.5.1.0-80.0         0.5.1.0-81.0
          haskell-cassava-megaparsec           2.0.0-39.0           2.0.0-40.0
               haskell-conduit-extra            1.3.4-9.0           1.3.4-10.0
                  haskell-config-ini         0.2.4.0-50.0         0.2.4.0-51.0
                haskell-configurator         0.3.0.0-89.0         0.3.0.0-90.0
             haskell-configurator-pg          0.1.0.3-2.0          0.1.0.3-3.0
                   haskell-criterion         1.5.5.0-54.0         1.5.5.0-55.0
       haskell-criterion-measurement          0.1.2.0-3.0          0.1.2.0-4.0
          haskell-cryptohash-conduit          0.1.1-298.0          0.1.1-299.0
          haskell-cryptonite-conduit          0.2.2-192.0          0.2.2-193.0
                    haskell-css-text         0.1.3.0-58.0         0.1.3.0-59.0
             haskell-data-serializer           0.3.4-74.0           0.3.4-75.0
                haskell-data-textual        0.3.0.2-113.0        0.3.0.2-114.0
                 haskell-descriptive           0.9.5-60.0           0.9.5-61.0
                         haskell-dns           3.0.4-80.0           3.0.4-81.0
                haskell-doctemplates         0.2.2.1-91.0         0.2.2.1-92.0
              haskell-email-validate        2.3.2.11-21.0        2.3.2.11-22.0
                   haskell-esqueleto           3.1.0-10.0           3.1.0-11.0
             haskell-haddock-library           1.7.0-66.0           1.7.0-67.0
                       haskell-hasql              1.4-9.0             1.4-10.0
                  haskell-hasql-pool           0.5.1-13.0           0.5.1-14.0
           haskell-hasql-transaction            0.7.2-9.0           0.7.2-10.0
                haskell-hjsonpointer           1.5.0-47.0           1.5.0-48.0
                 haskell-hjsonschema          1.9.0-257.0          1.9.0-258.0
                 haskell-hledger-lib          1.14.1-44.0          1.14.1-45.0
                    haskell-hopenpgp        2.7.4.1-103.0        2.7.4.1-104.0
                   haskell-hspec-wai           0.9.2-63.0           0.9.2-64.0
              haskell-hspec-wai-json           0.9.2-71.0           0.9.2-72.0
                        haskell-http       4000.3.14-25.0       4000.3.14-26.0
               haskell-http-api-data           0.4.1-13.0           0.4.1-14.0
                   haskell-http-date           0.0.8-37.0           0.0.8-38.0
                haskell-http-streams        0.8.6.1-137.0        0.8.6.1-138.0
                       haskell-http2            2.0.3-5.0            2.0.3-6.0
                         haskell-ini           0.4.1-27.0           0.4.1-28.0
   haskell-insert-ordered-containers           0.2.2-20.0           0.2.2-21.0
                  haskell-io-streams         1.5.1.0-27.0         1.5.1.0-28.0
          haskell-io-streams-haproxy         1.0.1.0-27.0         1.0.1.0-28.0
                        haskell-jose        0.7.0.0-126.0        0.7.0.0-127.0
                   haskell-js-jquery          3.3.1-269.0          3.3.1-270.0
                  haskell-lens-aeson          1.0.2-165.0          1.0.2-166.0
                      haskell-libmpd          0.9.0.9-3.0          0.9.0.9-4.0
             haskell-microlens-aeson         2.3.0.4-15.0         2.3.0.4-16.0
                 haskell-microstache        1.0.1.1-110.0        1.0.1.1-111.0
                haskell-monad-logger          0.3.30-79.0          0.3.30-80.0
                  haskell-network-ip        0.3.0.2-104.0        0.3.0.2-105.0
          haskell-openpgp-asciiarmor            0.1.2-5.0            0.1.2-6.0
             haskell-openssl-streams         1.2.2.0-28.0         1.2.2.0-29.0
                haskell-pandoc-types           1.17.6-3.0           1.17.6-4.0
                     haskell-parsers         0.12.10-16.0         0.12.10-17.0
                        haskell-path          0.6.1-115.0          0.6.1-116.0
                     haskell-path-io           1.4.2-38.1           1.4.2-39.0
                  haskell-persistent           2.10.1-7.0           2.10.1-8.0
               haskell-persistent-qq           2.9.1-59.0           2.9.1-60.0
           haskell-persistent-sqlite           2.10.5-6.0           2.10.5-7.0
         haskell-persistent-template           2.7.2-11.0           2.7.2-12.0
             haskell-persistent-test         2.0.3.0-11.0         2.0.3.0-12.0
           haskell-postgresql-binary         0.12.1.3-6.0         0.12.1.3-7.0
            haskell-project-template        0.2.0.1-163.0        0.2.0.1-164.0
                 haskell-rio-orphans         0.1.1.0-11.0         0.1.1.0-12.0
             haskell-rio-prettyprint          0.1.0.0-6.0          0.1.0.0-7.0
                     haskell-servant           0.16.2-5.0           0.16.2-6.0
              haskell-servant-server           0.16.2-9.0          0.16.2-10.0
             haskell-servant-swagger         1.1.7.1-22.0         1.1.7.1-23.0
                 haskell-shakespeare          2.0.20-44.0          2.0.20-45.0
             haskell-simple-sendfile          0.2.28-51.0          0.2.28-52.0
                 haskell-skylighting           0.8.2-11.0           0.8.2-12.0
            haskell-skylighting-core           0.8.2-11.0           0.8.2-12.0
                   haskell-snap-core         1.0.4.0-31.0         1.0.4.0-32.0
                 haskell-snap-server         1.1.1.1-65.0         1.1.1.1-67.0
                   haskell-sourcemap          0.1.6-142.0          0.1.6-143.0
                  haskell-statistics        0.15.0.0-37.0        0.15.0.0-38.0
                    haskell-swagger2         2.3.1.1-55.0         2.3.1.1-56.0
         haskell-tamarin-prover-term           1.4.1-29.0           1.4.1-30.0
       haskell-tamarin-prover-theory           1.4.1-39.0           1.4.1-40.0
                 haskell-tar-conduit            0.3.2-9.0           0.3.2-10.0
                     haskell-texmath        0.11.2.2-34.0        0.11.2.2-35.0
                   haskell-tree-diff             0.1-20.0             0.1-21.0
                    haskell-trifecta               2-57.0               2-58.0
              haskell-uri-bytestring         0.3.2.1-40.0         0.3.2.1-41.0
              haskell-wai-app-static         3.1.6.3-90.0         3.1.6.3-91.0
                    haskell-wai-cors           0.2.7-13.0           0.2.7-14.0
                   haskell-wai-extra           3.0.28-5.0           3.0.28-6.0
                  haskell-wai-logger           2.3.5-25.0           2.3.5-26.0
                        haskell-warp           3.3.0-10.0           3.3.0-11.0
                      netcdf-fortran            4.4.5-2.0            4.5.0-1.0
              netcdf-fortran-openmpi            4.4.5-2.0            4.5.0-1.0
                      netcdf-openmpi            4.7.0-1.0            4.7.1-1.0
                         qbittorrent            4.1.7-1.1            4.1.7-1.2
                     qbittorrent-nox            4.1.7-1.1            4.1.7-1.2
                           wallutils            5.8.1-2.0            5.8.2-1.0

Sync:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                       device-mapper         2.02.186-1.0         2.02.186-1.1
                           findutils            4.6.0-4.2            4.7.0-1.0
                            libevent           2.1.11-1.0           2.1.11-2.0
                           libgcrypt            1.8.4-1.1            1.8.5-1.0
                               links             2.19-2.0             2.20-1.0
                                lvm2         2.02.186-1.0         2.02.186-1.1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         389-ds-base          1.4.1.6-7.2          1.4.1.6-7.3
                                a2ps             4.14-8.4             4.14-8.5
                              a52dec           0.7.4-10.4           0.7.4-10.5
                               aalib          1.4rc5-13.2          1.4rc5-13.3
                               abook            0.6.1-5.1            0.6.1-5.2
                                fcgi           2.4.0-14.1            2.4.2-1.0
                   gnome-search-tool            3.6.0-4.03.6.0+82+g4a8f34e-1.0
                             gtk-doc  1.30+1+g44c5972-1.0             1.31-2.0
                            ktorrent            5.1.1-2.0            5.1.2-1.0
                         libktorrent              2.1-1.4            2.1.1-1.0
                              libogg            1.3.3-3.3            1.3.4-1.0
                         python-cson              0.7-1.2              0.8-1.0
                                 re2         20190801-1.1         20190901-1.0
                         gnome-books                    -           3.32.0-1.0
                         gnome-notes                    -           3.32.2-1.0
                    mypaint-brushes1                    -            1.3.0-1.0
                   xfce4-screensaver                    -            0.1.8-2.1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                 0ad            a23.1-4.3            a23.1-4.4
                                4ti2            1.6.9-1.3            1.6.9-1.4
                             6tunnel             0.12-2.2             0.12-2.3
          aarch64-linux-gnu-binutils             2.32-1.2             2.32-1.3
               aarch64-linux-gnu-gcc            9.2.0-1.2            9.2.0-1.3
               aarch64-linux-gnu-gdb              8.3-1.2              8.3-1.3
                              abduco              0.6-4.2              0.6-4.3
                               abuse              0.8-9.2              0.8-9.3
                                 apm            2.4.2-1.0            2.4.3-1.0
                               brial            1.2.5-2.2            1.2.5-4.0
                             buildah           1.10.1-1.0           1.10.1-2.0
                               cgrep         6.6.25-167.0         6.6.25-168.0
                             cryptol           2.7.0-33.0           2.7.0-34.0
                          curaengine            4.2.0-1.0            4.2.0-1.1
                               darcs         2.14.2-101.0         2.14.2-102.0
                           drumstick            1.1.2-1.2            1.1.3-2.0
                               dstat            0.7.3-4.0            0.7.4-4.0
                             duktape            2.3.0-2.0            2.4.0-2.0
                            edbrowse            3.7.4-2.0            3.7.5-1.0
                          emscripten          1.38.36-1.0          1.38.41-1.0
                           git-annex      7.20190819-17.0      7.20190819-18.0
                    gnuradio-osmosdr0.1.5.r128.f3905d-1.00.1.5.r128.f3905d-2.0
                  haskell-aeson-diff         1.1.0.7-35.0         1.1.0.7-36.0
                haskell-authenticate          1.3.4-331.0          1.3.4-332.0
                         haskell-aws          0.21.1-85.0          0.21.1-86.0
                  haskell-cheapskate         0.1.1.1-83.0         0.1.1.1-84.0
               haskell-clash-prelude          0.99.3-65.0          0.99.3-66.0
                         haskell-dav           1.3.3-93.0           1.3.3-94.0
                        haskell-dbus           1.2.7-34.0           1.2.7-35.0
                  haskell-fdo-notify          0.3.1-194.0          0.3.1-195.0
                        haskell-feed         1.2.0.0-10.0         1.2.0.0-11.0
          haskell-ghc-typelits-extra             0.3-28.0            0.3.1-1.0
                     haskell-githash         0.1.3.1-81.0         0.1.3.1-83.0
                      haskell-hakyll        4.12.5.2-83.0        4.12.5.2-84.0
                       haskell-hpack          0.31.2-59.0           0.32.0-1.0
                haskell-html-conduit           1.3.2-66.0           1.3.2-67.0
                haskell-http-conduit         2.3.7.1-56.0         2.3.7.1-57.0
               haskell-http-download         0.1.0.0-13.0         0.1.0.0-14.0
                       haskell-ipynb             0.1-65.0             0.1-66.0
                    haskell-mustache          2.3.0-225.0          2.3.0-226.0
             haskell-optparse-simple         0.1.1.2-50.0         0.1.1.2-52.0
                      haskell-pantry         0.1.1.1-20.0         0.1.1.1-22.0
                         haskell-sbv             8.3-22.0             8.3-23.0
                       haskell-shake          0.18.3-22.0          0.18.3-23.0
           haskell-tagstream-conduit        0.5.5.3-286.0        0.5.5.3-287.0
          haskell-wai-handler-launch        3.0.2.4-205.0        3.0.2.4-206.0
              haskell-wai-websockets         3.0.1.2-97.0         3.0.1.2-98.0
                    haskell-warp-tls           3.2.7-19.0           3.2.7-20.0
                  haskell-websockets        0.12.5.3-29.0        0.12.5.3-30.0
                        haskell-wreq         0.5.3.2-73.0         0.5.3.2-74.0
                      haskell-xcffib           0.8.1-14.0           0.8.1-15.0
                 haskell-xml-conduit         1.8.0.1-79.0         1.8.0.1-80.0
                  haskell-xml-hamlet          0.5.0-149.0          0.5.0-150.0
                haskell-xss-sanitize           0.3.6-37.0           0.3.6-38.0
                        haskell-yaml         0.11.1.2-1.0         0.11.1.2-2.0
                       haskell-yesod          1.6.0-332.0          1.6.0-333.0
                  haskell-yesod-auth           1.6.7-50.0           1.6.7-51.0
                  haskell-yesod-core           1.6.16-3.0           1.6.16-4.0
               haskell-yesod-default          1.2.0-577.0          1.2.0-578.0
                  haskell-yesod-form           1.6.6-24.0           1.6.6-25.0
            haskell-yesod-persistent         1.6.0.2-82.0         1.6.0.2-83.0
                haskell-yesod-static        1.6.0.1-183.0        1.6.0.1-184.0
                  haskell-yesod-test         1.6.6.2-10.0         1.6.6.2-11.0
                             hindent           5.3.1-14.0           5.3.1-15.0
                             hledger          1.14.2-52.0          1.14.2-53.0
                         hledger-api           1.14-116.0           1.14-117.0
                          hledger-ui          1.14.2-63.0          1.14.2-64.0
                         hledger-web         1.14.1-132.0         1.14.1-133.0
                               hlint          2.1.14-62.0          2.1.14-63.0
                              hoogle       5.0.17.10-13.0       5.0.17.10-14.0
                      hopenpgp-tools          0.21.3-91.0          0.21.3-92.0
                           hyperfine            1.6.0-1.1            1.7.0-1.0
                               idris           1.3.2-12.0           1.3.2-13.0
                        intel-gmmlib           19.2.3-1.2           19.2.4-1.0
                        kipi-plugins            5.9.1-2.0          19.08.0-1.0
                  nextcloud-app-mail           0.15.2-1.0           0.15.4-1.0
                              pandoc           2.7.3-37.0           2.7.3-38.0
                     pandoc-citeproc         0.16.2-104.0         0.16.2-105.0
                     pandoc-crossref         0.3.4.1-86.0         0.3.4.1-87.0
                                pdal            1.9.1-2.2            2.0.1-1.0
                           postgrest           6.0.0-16.0           6.0.0-17.0
                          primecount              5.0-1.0              5.1-1.0
                      python-pikepdf            1.6.2-1.0            1.6.3-1.0
                   python2-wxpython3          3.0.2.0-1.5          3.0.2.0-2.0
              rapid-photo-downloader           0.9.14-1.0           0.9.17-1.0
                           rapidjson            1.1.0-3.0            1.1.0-4.0
                              rclone           1.48.0-2.0           1.49.1-1.0
                       roundcubemail            1.3.9-1.0           1.3.10-1.0
                          shellcheck           0.7.0-20.0           0.7.0-21.0
                         slirp4netns            0.4.0-1.0            0.4.1-1.0
                      squashfs-tools              4.3-8.0              4.4-1.0
                               stack           2.1.3-24.0           2.1.3-26.0
                     stylish-haskell          0.9.2.2-9.0         0.9.2.2-10.0
                      tamarin-prover          1.4.1-143.0          1.4.1-144.0
                                vmpk            0.7.1-1.2            0.7.2-1.0
                                 vtk            8.2.0-5.1            8.2.0-6.0
                              xmobar          0.29.5-51.0          0.29.5-52.0
                                xpdf          4.01.01-1.1          4.01.01-2.0
                             yakuake            3.0.5-2.0          19.08.0-1.0
                            binaryen                    -               87-1.0
                           celluloid                    -             0.17-1.0
                             drawing                    -            0.4.3-1.0
                           gandi.cli                    -              1.5-2.0
                        haskell-hosc                    -             0.17-2.0
                   haskell-microspec                    -          0.2.1.3-2.0
                    haskell-nanospec                    -            0.2.2-1.0
                           hyperscan                    -            5.2.0-1.0
                          jami-gnome                    -         20190603-1.0
              kconfig-hardened-check                    -            0.5.2-1.0
                           libinsane                    -            1.0.1-1.0
                              luakit                    -              2.1-2.0
                       otf-ipaexfont                    -           004.01-1.0
                       otf-ipamjfont                    -           006.01-1.0
                      pantheon-print                    -            0.1.3-1.0
                     postgresql-ip4r                    -            2.4.1-1.0
                   python-clickclick                    -            1.2.2-1.0
                    python-connexion                    -            2.3.0-2.0
                       python-geoip2                    -            2.9.0-1.0
                          python-ipy                    -             1.00-1.0
                    python-maxminddb                    -            1.4.1-1.0
                        python-tftpy                    -            0.8.0-1.0
    switchboard-plug-online-accounts                    -            2.0.1-1.1
                   terminus-font-otb                    -             4.48-1.0
                         tidalcycles                    -            1.4.2-4.0
                                vimb                    -            3.5.0-1.0
                                 waf                    -           2.0.18-1.0

Plasma boots successfully but has a minor issue:

qt5-webengine in overlay is outdated (v5.12 vs v5.13 for all other qt5 packages) and is linked to an older version of libevent causing some Qt apps to fail with this message:

error while loading shared libraries: libevent-2.1.so.6: cannot open shared object file: No such file or directory

May be related to kmail problem:

1 Like

Forum kindly sponsored by Bytemark